Dop-IOS v5 vs TBR 1.0

Discussion in 'Wii - Hacking' started by Bloodlust, Jul 14, 2009.

  1. Bloodlust
    OP

    Bloodlust GBAtemp Maniac

    Member
    1,070
    2
    May 25, 2006
    Hong Kong
    Has anyone here tried both with IOS36 patching? Using TBR I still get ES_Identify errors with ATD though its no big deal am just wondering if Dop-IOS totally eliminates it... [​IMG]
     
  2. kyogc

    kyogc GBAtemp Fan

    Member
    324
    0
    Nov 24, 2008
    Taiwan
    They use the same code.

    I doubt that the result will be different.
     
  3. Adr990

    Adr990 To boldly go where no man has gone before!

    Member
    1,470
    146
    Apr 22, 2007
    Netherlands
    The Netherlands
    I have the same problem as Bloodlust.

    I updated all IOSs with DIP/DOP IOS and patched them.

    Now I get errors at the start up of ATD.

    Sing check 0.3 says trucha bug is enabled in all IOSs

    And even ES_Identify in IOS36 & IOS16 & IOS249 (and I believe in 202 , 222 , 223 too)

    Is IOS0 the problem?
     
  4. piratesmack

    piratesmack GBAtemp Advanced Fan

    Member
    787
    0
    Mar 28, 2009
    United States
    $(pwd)
    Maybe try running it off of IOS249 instead.

    Just grab the AnyTitle Deleter source and add this to the main function:
    Code:
    IOSReloadIOS(249);
    Compile and run
     
  5. WiiPower

    WiiPower GBAtemp Guru

    Member
    8,165
    72
    Oct 17, 2008
    Gambia, The
    Ok guys, what version of AnyTitleDeleter do you use? And where exactly do you get the IOS36 from to patch it? Do you have boot2v4 Wis? Does a AnyTitleDeleter that is only changed to load IOS249 instead of IOS36 work?
     
  6. darscot

    darscot Advanced Member

    Member
    86
    0
    Oct 25, 2002
    The latest AnyTitleDeleterMOD or DB both print errors at startup. They still work you just get errors at start up. I have a Boot2 wii 4.1U. I haven't tried the 249 ATD.
     
  7. WiiCrazy

    WiiCrazy Be water my friend!

    Member
    2,391
    1
    May 8, 2008
    Istanbul
    Here is an idea to have both ES_Identify and trucha patches in IOS 60...

    1. Install preloader, it patches IOS 60 to reintroduce ES_Identify bug I guess
    2. Extract IOS 60 as a wad from the system... now you can compare the patched ios with an unpatched one and can see the patch...
    3. Trucha patch it using an offline tool... (with freethebug for example)
    4. Install... now you have both trucha and es_identify patches on IOS 60...

    Btw, don't try this on a non bootmii@boot2 wii..

    ps: forget what I said, preloader possibly doesn't harm the existing trucha patch on IOS 60...
     
  8. marc_max

    marc_max GBAtemp Advanced Fan

    Member
    978
    626
    Jun 19, 2008
    If you don't want to compile again, just change this hex string:
    2B 0A 00 24
    with:
    2B 0A 00 F9
    And it will run with IOS249 without having to recompile.

    We are still getting errors with ATD because we have newer IOS36 versions, but we don't have all the ES functions patched. Fortunately, ES_Identify is the most important one.
    Just skip these errors and ATD will run with no problems. If you don't want to see these errors just install an old IOS36 version with official trucha bug, but then every 3.4 or newer game will ask you to update.
     
  9. WiiPower

    WiiPower GBAtemp Guru

    Member
    8,165
    72
    Oct 17, 2008
    Gambia, The
    Downgrading IOS36 is not an option for boot2v4 Wiis. But AnyTitleDeleter should work fine even if it shows errors, if you have an IOS36 with patched nand permissions.(not tested)